<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="mainBackground" style="width:100%; height:100%; background-image:url('images/main-bgr.gif'); background-repeat:repeat-x;">
			<tr>
				<td style="padding-left:50px; padding-right:50px;">
					<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%;">
						<tr>
							<td valign="top" style="height:100%; background-image:url('images/top-bgr.gif'); background-repeat:repeat-x;">
								<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
									<tr valign="top">
										<td style="width: 100%; height: 180px">
											<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-image:url('images/header.jpg'); background-repeat:no-repeat; background-position: top right;">
												<tr>
													<td style="padding-left: 20px;">
														<table  cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
															<tr valign="top">
																<td height="27">
																	<table cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
																		<tr>
																			<xsl:call-template name="TOP-MENU"/>
																			<td><img src="images/sep.gif" border="0" alt=""/></td>
																		</tr>
																	</table>
																</td>
															</tr>
															<tr>
																<td height="100%">
																	<table cellpadding="0" cellspacing="0" border="0">
																		<tr><td align="center"><a href="./"><img vspace="0" src="images/{LOGO/@NAME}" alt="" border="0"/></a></td></tr>
																		<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
																		<tr><td align="center" class="copyright"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/><div style="height:25px;"><span></span></div></td></tr>
																	</table>

																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td height="20"><div style="width:100%; height:20px;"><span></span></div></td>
									</tr>
									<tr>
										<td height="100%" valign="top">
											<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height: 100%;">
												<tr>
													<!--Left part of main-->
													<td valign="top" width="100%"><div style="width:475px;"><span></span></div>
														<table  cellpadding="0" class="textBackground" cellspacing="0" border="0" style="width:100%; height:100%; background-position:top; background-image:url('images/middle_bgr_middle_ht.gif'); background-repeat:repeat-x;">
															<tr>
																<td style="background-image:url('images/middle_bgr_middle_hb.gif'); background-repeat:repeat-x; background-position:bottom;">
																	<table cellpadding="0"  cellspacing="0" border="0" style="width: 100%; height: 100%;background-position: left;background-image:url('images/middle_bgr_middle_vl.gif');background-repeat:repeat-y;">
																		<tr>
																			<td style="background-image:url('images/middle_bgr_middle_vr.gif');background-repeat:repeat-y;background-position: right;">
																				<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-position: left top; background-image:url('images/middle_bgr_left_top.gif'); background-repeat:no-repeat;">
																					<tr>
																						<td style="background-image:url('images/middle_bgr_right_top.gif'); background-repeat:no-repeat; background-position: right top;">
																							<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-position: left bottom; background-image:url('images/middle_bgr_left_bottom.gif'); background-repeat:no-repeat;">
																								<tr>
																									<td valign="top" style="background-image:url('images/middle_bgr_right_bottom.gif'); background-repeat:no-repeat; background-position: right bottom;">
																										<table cellpadding="0" cellspacing="0" border="0" style="height: 450px; width: 100%;">
																											<tr><td valign="top" style="padding-left: 23px; padding-top:17px;" class="textTitle"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img align="bottom" border="0" src="images/logo_min.gif" hspace="15"/></td></tr>
																											<tr><td height="100%" valign="top" class="pageContent" style="padding-left:23px; padding-top:15px; padding-bottom:30px; padding-right:20px;"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr>
																										</table>
																									</td>
																								</tr>
																							</table>
																						</td>
																					</tr>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</tr>
														</table>
													</td>
													<td valign="top" style="background-image:url('images/menu_main_bgr.gif'); background-repeat:repeat-y;">
														<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-image:url('images/menu_main_bgr_top.gif'); background-position:top; background-repeat:no-repeat;">
															<tr>
																<td valign="top" style="background-image:url('images/menu_main_bgr_bottom.gif'); background-position:bottom; background-repeat:no-repeat;">
																	<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-image:url('images/left_menu_bottom1.gif'); background-position:bottom; background-repeat:no-repeat;">
																		<tr>
																			<td valign="top">
																				<!--left_menu-->
																				<table cellpadding="0" cellspacing="0" border="0">
																					<tr><td style="padding-top:61px;"><img src="images/menu_left_sep.gif"/></td></tr>
																					<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																					<tr><td><img src="images/menu_left_sep.gif"/></td></tr>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr><td height="45">
							<table>
								<tr>
									<xsl:call-template name="BOTTOM-MENU"/>
								</tr>
							</table>
						</td>
					</tr>
					<tr><td class="line"><div style="height:1px;"><span></span></div></td></tr>
					<tr><td style="padding-left:20px; padding-top:17px; padding-bottom:76px;"><span class="copyright" ><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></td></tr>
				</table>
			</td>
		</tr>
	</TABLE>
	<!--sw_sb_nsu-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr><td style="padding-top:12px; padding-left:29px; padding-bottom:12px;"><img align="middle" src="images/logo_mini.gif"/><span class="menuInsideActive" style="padding-left:12px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td></tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr><td style="padding-top:12px; padding-left:29px; padding-bottom:12px;"><img align="middle" src="images/logo_mini.gif"/><a href="{@HREF}" class="menuInsideNotActive" style="padding-left:12px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td><img src="images/menu_left_sep.gif"/></td></tr>
	</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom"/>
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td style="padding-left:8px; padding-right:8px;"><a href="{@HREF}" class="menuBottom"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="menuBottom" style="padding-left:8px; padding-right:8px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td style="padding-left:8px; padding-right:8px;"><a href="{@HREF}" class="menuBottom"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td valign="middle"><img src="images/bottom_sep.gif"/></td>
  		</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>
