<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<HTML>

                <head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>

<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="white">
	<TR>
		<TD colspan="2" height="34" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="34">
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" height="34" width="160">
							<tr>
								<td width="13" class="bg"></td>
								<td width="11"></td>
								<td><img src="images/house.gif" border="0"/></td>
								<td width="11"></td>
								<td class="url"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td>
							</tr>
						</table>					
					</td>
					<td width="100%">
						<!-- MENU -->
							<table cellpadding="0" cellspacing="0" height="34">
								<tr>
									<td width="32"></td>
									
									<xsl:call-template name="TOP-MENU"/>
									
								</tr>
							</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD colspan="2" height="4" bgcolor="#D4D6D7"></TD></TR>
	<TR><TD colspan="2" height="1" bgcolor="#FFFDFB"></TD></TR>
	<TR>
		<TD colspan="2" valign="top" width="100%" height="144" style="background-image: url('images/hbg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" width="760" height="144" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td width="506" valign="top">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" width="250" style="margin: 5px 0px 5px 5px;">
							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
							<tr><td class="company" align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
					</td>
					<td width="254" valign="top">
						<table cellpadding="0" cellspacing="0" height="43" width="254">
							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD colspan="2" height="1" class="bg"></TD></TR>
	<TR>
		<TD height="3" class="bg"></TD>
		<TD height="3" bgcolor="#D5D7D8"></TD>
	</TR>
	<TR>	
		<TD height="100%" valign="top">
		<!-- SUBMENU -->
			<table cellpadding="0" cellspacing="0" width="160" height="153" class="bg">
				<tr><td height="10" colspan="2"></td></tr>
					<xsl:call-template name="SUB-MENU">
        			<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
				<tr><td height="20" colspan="2"></td></tr>
				<tr><td height="100%" colspan="2"></td></tr>
			</table>
		<!-- END SUBMENU -->
		</TD>
		<TD valign="top" width="100%" height="100%" style="padding: 0 30px;">
		<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" width="100%">
				<tr><td height="30"></td></tr>
				<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
				<tr><td height="5"></td></tr>
				<tr>
					<td class="text">
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
				<tr><td height="20"></td></tr>
			</table>
		<!-- END CONTENT -->
		</TD>
	</TR>
	<TR>
		<TD colspan="2" width="100%" height="35" class="bg">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" style="margin-top: 5px;">
				<tr>
					<td width="180"></td>
					
					<xsl:call-template name="BOTTOM-MENU"/>
					
				</tr>
			</table>
		<!-- END BOOTTOM MENU -->
		</TD>
	</TR>
	<TR>
		<TD colspan="2" width="100%" height="30" class="bg" style="padding: 10px 5px 5px 180px;" valign="top">
		<!-- FOOTER -->
		<span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
</BODY>

</HTML>

	</xsl:template>



	<xsl:template name="TOP-MENU">
			<xsl:apply-templates select="MENU" mode="top"/>	
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
				
				
	
	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>								
					<td style="padding-left: 25px"><img src="images/submenu_bullet.gif"/></td>
					<td style="padding-left: 5px; padding-right: 5px;" height="20" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>								
						<td style="padding-left: 25px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
						<td style="padding-left: 5px; padding-right: 5px;" height="20" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>

	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td width="25"></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td width="25"></td>
                </xsl:when>
                <xsl:otherwise>
	   				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td width="25"></td>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>
	
	
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
